package com.tanpu.community.api.enums;

import com.tanpu.common.api.CommonResp;

import javax.validation.constraints.NotNull;

/**
 * @program: wealthgrow-new
 * @description: 用户权限等级
 * @author: zejia zj wu
 * @create: 2021-07-22 10:59
 **/
public enum UserLevelEnum {

    USER_TOURIST(0, "游客", "游客"),
    USER_REGISTERED(1, "注册会员", "注册会员"),
    /**
     * 如果当前登录用户是投资人且要求权限大于投资人 返回 actionCode T1
     * 弹框提示
     * 该功能只对{levelGrade}开放哦
     * 如需更改认证信息，可前往“我的”进行重新认证
     * 点击「知道了」关闭弹框
     */
    USER_INVESTOR(10, "投资人", "普通会员", "D2"),
    /**
     * tamp理顾问卷     D2
     */
    USER_FINANCIAL_PRACTITIONER(20, "探普理顾", "投资顾问", "D2"),
    /**
     * tamp专家理顾问卷   D3
     */
    USER_FINANCIAL_ADVISOR(30, "探普专家理顾", "专家投顾", "D3"),
    /**
     * 发生基金交易 （系统自动判断）  T0 (提示文案: 该功能只对完成交易的探普理财师开放)
     */
    USER_SENIOR_FINANCIAL_ADVISER(40, "交易理财师", "专家投顾", "T0"),
    /**
     * 探普签约理财师
     */
    USER_CHIEF_FINANCIAL_ADVISER(50, "首席投顾", "首席投顾", "T0"),
    /**
     * 白名单用户
     */
    USER_WHITE_LIST(999, "白名单用户", "特定用户", "T0"),
    ;
    private int code;
    private String name;
    private String label;
    private String actionCode;

    UserLevelEnum(int code, String name, String label) {
        this.code = code;
        this.name = name;
        this.label = label;
    }

    UserLevelEnum(int code, String name, String label, String functionCode) {
        this.code = code;
        this.name = name;
        this.label = label;
        this.actionCode = functionCode;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getLabel() {
        return label;
    }

    public String getActionCode() {
        return actionCode;
    }

}
